package com.google.appengine.api.datastore;

import com.google.appengine.api.datastore.ShortBlob;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

public class ShortBlob_CustomFieldSerializer
{
	
	public static ShortBlob instantiate(SerializationStreamReader reader) throws SerializationException
	{
		int size = reader.readInt();
		byte[] bytes = new byte[size];
		
		for (int i = 0; i < size; i++)
		{
			bytes[i] = reader.readByte();
		}
		
		return new ShortBlob(bytes);
	}
	
	public static void serialize(SerializationStreamWriter writer, ShortBlob instance) throws SerializationException
	{
		byte[] bytes = instance.getBytes();
		int size = bytes == null ? 0 : bytes.length;
		writer.writeInt(size);
		
		for (int i = 0; i < size; i++)
		{
			writer.writeByte(bytes[i]);
		}
	}
	
	public static void deserialize(SerializationStreamReader reader, ShortBlob instance) throws SerializationException
	{
		// nothing to do here...
	}
	
}
