package com.google.appengine.api.datastore;

import com.google.appengine.api.datastore.Blob;
import com.google.appengine.api.datastore.PostalAddress;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

/**
 * @author Bryce Cottam 
 *
 */
public class PostalAddress_CustomFieldSerializer
{
	
	public static PostalAddress instantiate(SerializationStreamReader reader) throws SerializationException
	{
		String address = reader.readString();
		return new PostalAddress(address);
	}
	
	public static void serialize(SerializationStreamWriter writer, PostalAddress instance) throws SerializationException
	{
		writer.writeString(instance.getAddress());
	}
	
	public static void deserialize(SerializationStreamReader reader, PostalAddress instance) throws SerializationException
	{
		// nothing to do here...
	}
	
}
