package com.google.appengine.api.datastore;

import com.google.appengine.api.datastore.Blob;
import com.google.appengine.api.datastore.Rating;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

/**
 * @author Bryce Cottam 
 *
 */
public class Rating_CustomFieldSerializer
{
	
	public static Rating instantiate(SerializationStreamReader reader) throws SerializationException
	{
		int rating = reader.readInt();
		return new Rating(rating);
	}
	
	public static void serialize(SerializationStreamWriter writer, Rating instance) throws SerializationException
	{
		writer.writeInt(instance.getRating());
	}
	
	public static void deserialize(SerializationStreamReader reader, Rating instance) throws SerializationException
	{
		// nothing to do here...
	}
	
}
