package com.google.appengine.api.datastore;

import com.google.appengine.api.datastore.Blob;
import com.google.appengine.api.datastore.PhoneNumber;
import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

/**
 * @author Bryce Cottam 
 *
 */
public class PhoneNumber_CustomFieldSerializer
{
	
	public static PhoneNumber instantiate(SerializationStreamReader reader) throws SerializationException
	{
		String number = reader.readString();
		return new PhoneNumber(number);
	}
	
	public static void serialize(SerializationStreamWriter writer, PhoneNumber number) throws SerializationException
	{
		writer.writeString(number.getNumber());
	}
	
	public static void deserialize(SerializationStreamReader reader, PhoneNumber instance) throws SerializationException
	{
		// nothing to do here...
	}
	
}
