package com.google.appengine.api.datastore;

import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

/**
 * @author Bryce Cottam 
 *
 */
public class Text_CustomFieldSerializer
{

	public static Text instantiate(SerializationStreamReader reader) throws SerializationException
	{
		String value = reader.readString();
		return new Text(value);
	}

	public static void serialize(SerializationStreamWriter writer, Text instance) throws SerializationException
	{
		writer.writeString(instance.getValue());
	}

	public static void deserialize(SerializationStreamReader reader, Text instance) throws SerializationException
	{
		// nothing really to do here, since the instantiate method already did our work for us.
	}
}
